#wrapper {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto;
}

#contents {
    grid-column: 1;
    grid-row: 1;
    z-index: 1;
}

#modal-bg {
    grid-column: 1;
    grid-row: 1;
    z-index: 10;
}

#career-opportunities-card {
    width: 100%;
    margin: auto;
    display: grid;
    justify-items: center;
    background-color: var(--light-gray);
}

#career-opportunities-card .text-container {
    width: 80%;
    justify-self: center;
    display: grid;
    justify-items: center;
    text-align: center;
}

#career-opportunities-card .header {
    font-size: 28pt;
    font-weight: 400;
    color: var(--middle-green);
}

#career-opportunities-card .warning {
    font-size: 38pt;
    font-weight: 400;
    color: black;
}

#career-opportunities-card p {
    font-size: 20pt;
    font-weight: 400;
    color: black;
}

#why-us-card {
    width: 100%;
    margin: auto;
    display: grid;
    justify-items: center;
    text-align: center;
    background-color: var(--blue-background-gray);
}

#why-us-card .text-container {
    width: 80%;
    display: grid;
    justify-items: center;
    text-align: center;
}

#why-us-card h1 {
    font-size: 28pt;
    font-weight: 400;
    color: var(--light-green);
}

#why-us-card p {
    font-size: 20pt;
    font-weight: 400;
    color: white;
}

#education-card {
    width: 100%;
    justify-items: center;
    display: grid;
    background-color: var(--light-gray);
}

#education-card .text-container {
    width: 80%;
    justify-items: center;
    text-align: center;
    display: grid;
}

#education-card h1 {
    font-size: 28pt;
    font-weight: 400;
    color: var(--middle-green);
}

#education-card p {
    font-size: 20pt;
    font-weight: 400;
    color: black;
}

#submit-container {
    width: 100%;
    display: grid;
    justify-items: center;
    background-color: var(--blue-background-gray);
}

#submit-container .common-modal-button {
    margin: 75px 0;
}

#submit-resume-modal {
    width: max-content;
    height: max-content;
    background-color: var(--light-gray);
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    justify-self: center;
    position: relative;
    display: grid;
    width: 60%;
    height: 1000px;
    overflow-y: scroll;
    grid-template-rows: repeat(5, max-content);
}

#resume-add-button-container {
    width: 100%;
    justify-self: center;
    align-self: center;
    display: grid;
    justify-items: center;
    align-items: center;
    margin: 50px 0;
}


#resume-add-button-container .divider {
    justify-self: center;
    align-self: center;
    height: 2px;
    width: 75%;
    background: linear-gradient(
        to right,
        var(--light-gray) 0%,
        var(--middle-green) 25%,
        var(--middle-green) 50%,
        var(--middle-green) 75%,
        var(--light-gray) 100%
    );
}

.title-container {
    width: 100%;
    height: max-content;
    justify-self: center;
    display: grid;
    justify-items: center;
    text-align: center;
    background-color: white;
    border-top-right-radius: var(--common-border-radius);
    border-top-left-radius: var(--common-border-radius);
}

.title-container h1 {
    margin: 0;
    padding: 10px;
    font-size: 28pt;
    color: var(--middle-green);
    font-weight: 400;
    text-align: center;
}

#acceptable-icons-container {
    margin-top: 50px;
    width: 100%;
    justify-self: center;
    display: grid;
    grid-template-columns: 3fr repeat(2, 1fr) 3fr;
    grid-template-rows: repeat(2, auto);
    justify-items: center;
    text-align: center;
}

#acceptable-icons-container h3 {
    font-size: 22pt;
    font-weight: 400;
    grid-column: 1 / span 4;
    margin: 0;
    padding: 0;
}

#acceptable-icons-container img:nth-of-type(1) {
    grid-column: 2;
}

#acceptable-icons-container img:nth-of-type(2) {
    grid-column: 3;
}

#acceptable-icons-container .divider {
    width: 75%;
    justify-self: center;
    height: 2px;
    grid-column: 1 / span 4;
}

#resume-buttons-container {
    margin: 25px 0 25px 0;
    width: 100%;
    justify-self: center;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

#resume-buttons-container button,
.spinner-button {
    height: 60px !important;
}

.file-name {
    display: none;
    justify-self: center;
    text-align: center;
    font-size: 20pt;
    font-weight: 400;
    color: var(--middle-green);
}

#resume-info-container {
    width: 100%;
    justify-self: center;
    display: grid;
    justify-items: center;
    align-items: center;
}

#resume-info-container > h2 {
    font-size: 22pt;
    font-weight: 400;
    justify-self: center;
    text-align: center;
    align-self: center;
    margin: 0 0 25px 0;
    padding: 0;
}

.resume-info-tile {
    width: 90%;
    justify-self: center;
    align-self: center;
    display: grid;
    grid-template-columns: auto;
    background-color: white;
    padding: 10px;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
}

.resume-info-tile:not(:last-of-type) {
    margin-bottom: 50px;
}

.resume-info-tile-inputs {
    display: grid;
    grid-template-columns: 1fr max-content 4fr;
}

.resume-info-tile-messages {
    height: 0;
}

.resume-info-tile h3 {
    font-size: 18pt;
    font-weight: 500;
    color: var(--middle-green);
    justify-self: center;
    align-self: center;
}

.resume-info-tile .vertical-divider {
    height: 75%;
    justify-self: left;
    align-self: center;
    width: 2px;
    background: linear-gradient(
        to bottom,
        white 0%,
        var(--middle-green) 25%,
        var(--middle-green) 50%,
        var(--middle-green) 75%,
        white 100%
    );
}

.resume-info-tile input {
    width: 85%;
    height: 65%;
    justify-self: center;
    align-self: center;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    background-color: var(--blue-background-gray);
    border: 1px solid var(--blue-background-gray);
    padding: 10px;
    color: white;
    font-size: 20pt;
}

.resume-comments-tile {
    width: 90%;
    justify-self: center;
    align-self: center;
    display: grid;
    grid-template-rows: repeat(3, max-content);
    background-color: white;
    padding: 10px;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
}

.resume-comments-tile h3 {
    font-size: 18pt;
    font-weight: 500;
    color: var(--middle-green);
    justify-self: center;
    margin: 25px 0 25px 0;
    padding: 0;
}

.resume-comments-tile .divider {
    width: 75%;
    justify-self: center;
    height: 2px;
    background: linear-gradient(
        to right,
        white 0%,
        var(--middle-green) 25%,
        var(--middle-green) 50%,
        var(--middle-green) 75%,
        white 100%
    );
    margin-bottom: 25px;
}

.resume-comments-tile textarea {
    width: 80%;
    justify-self: center;
    background-color: var(--blue-background-gray);
    color: white;
    font-size: 20pt;
    border-radius: var(--common-border-radius);
    box-shadow: var(--common-box-shadow);
    margin-bottom: 25px;
    padding: 10px;
}

#measure-box {
    position: absolute;
    visibility: hidden;
    pointer-events: none;
    left: -99999px;
    top: 0;
}
